> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get images and videos of a movie



## OpenAPI

````yaml /api-reference/openapi.json get /movies/{movie_id}/media
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /movies/{movie_id}/media:
    get:
      tags:
        - Movies
      summary: Get images and videos of a movie
      operationId: get_movie_media
      parameters:
        - name: movie_id
          in: path
          required: true
          schema:
            type: integer
            description: Unique Identifier of a movie.
            title: Movie Id
          description: Unique Identifier of a movie.
        - name: language
          in: query
          required: true
          schema:
            type: string
            description: Language filter
            title: Language
          description: Language filter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Media'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Media:
      properties:
        videos:
          items:
            $ref: '#/components/schemas/Video'
          type: array
          title: Videos
          description: A list with videos, e.g. trailers and teasers.
          default: []
        backdrops:
          items:
            $ref: '#/components/schemas/Image'
          type: array
          title: Backdrops
          description: Backdrop images of the movie.
          default: []
        logos:
          items:
            $ref: '#/components/schemas/Image'
          type: array
          title: Logos
          description: Logos of the movie.
          default: []
        posters:
          items:
            $ref: '#/components/schemas/Image'
          type: array
          title: Posters
          description: Posters of the movie.
          default: []
      type: object
      title: Media
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Video:
      properties:
        name:
          type: string
          title: Name
          description: Video title.
        link:
          type: string
          title: Link
          description: Linkt to the video.
        preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview
          description: Path to a preview image.
        type:
          type: string
          title: Type
          description: Video type, e.g. trailer or teaser.
        official:
          type: boolean
          title: Official
          description: Whether the video is from an offical source.
      type: object
      required:
        - name
        - link
        - preview
        - type
        - official
      title: Video
    Image:
      properties:
        path:
          type: string
          title: Path
        language:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
              description: ISO 3166 country code
            - type: 'null'
          title: Language
      type: object
      required:
        - path
      title: Image
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````